<?php
if (!defined('FLUX_ROOT')) exit; 

$accountId = $session->account->account_id;

$balance = 0;

switch(Flux::config('dsro_reward_type')){
	case 'credits':
		$creditsTable = Flux::config('FluxTables.CreditsTable');

		$sql = "SELECT balance AS balance FROM {$server->loginDatabase}.$creditsTable WHERE account_id = ?";
		$sth = $server->connection->getStatement($sql);
		
		$sth->execute(array($accountId));
		
		$val = $sth->fetch()->balance;
		if ($val) {
			$balance = $val;
		}
	break;
	
	case 'cashpoints':
		$sql = "SELECT value FROM {$server->charMapDatabase}.`acc_reg_num_db` where `account_id` = ? and `key` = '#CASHPOINTS'";
		$sth = $server->connection->getStatement($sql);
		
		$sth->execute(array($accountId));
		
		$val = $sth->fetch()->value;
		if ($val) {
			$balance = $val;
		}
	break;
}