<?php
	if (!defined('FLUX_ROOT')) exit; 
	
	$accountId = $session->account->account_id;
	
	$response = ['success' => false];
	
	$top_data = file_get_contents(Flux::config('dsro_top_url')."/api/server/".Flux::config('dsro_server_id')."/".$_SERVER['REMOTE_ADDR']);
	
	$data = json_decode($top_data);
	
	if(empty($data->error)){
		$response['success'] = true;
		
		$reward_amount = Flux::config('dsro_reward_amount');
		
		switch(Flux::config('dsro_reward_type')){
			case 'credits':
				$server->loginServer->depositCredits($accountId, $reward_amount);
			break;
			
			case 'cashpoints':
				$sql = "SELECT COUNT(account_id) AS hasRecord FROM {$server->charMapDatabase}.`acc_reg_num_db` where `account_id` = ? and `key` = '#CASHPOINTS'";
				$sth = $server->connection->getStatement($sql);
				
				$sth->execute(array($accountId));
				
				if ($sth->fetch()->hasRecord) {
					$vals = array();
					$sql  = "UPDATE {$server->charMapDatabase}.`acc_reg_num_db` SET value = value + ? ";
					
					$vals[] = $reward_amount;
					
					$vals[] = $accountId;
					
					$sql .= "WHERE account_id = ? and `key` = '#CASHPOINTS'";
					$sth  = $server->connection->getStatement($sql);
					
					$sth->execute($vals);
				}
				else {
					$fields = '`key`, value, account_id';
					$values = '?, ?, ?';

					$sql  = "INSERT INTO {$server->charMapDatabase}.`acc_reg_num_db` ($fields) VALUES ($values)";
					$sth  = $server->connection->getStatement($sql);
					$vals = array('#CASHPOINTS', $reward_amount, $accountId);
					
					$sth->execute($vals);
				}
			break;
		}
		
		$top_data = file_get_contents(Flux::config('dsro_top_url')."/api/server/".Flux::config('dsro_server_id')."/".$_SERVER['REMOTE_ADDR']."/claim");

	}
	else {
		$response['success'] = false;
	}
	
	echo json_encode($response);
	die();
