<?php
if (!defined('FLUX_ROOT')) exit; ?>
<h2>Vote for points</h2>

<p>Your balance: <?=$balance?> <?=Flux::config('dsro_reward_type')?></p>

<iframe class="dsro-iframe" src="<?=Flux::config('dsro_top_url')?>/iframe/<?=Flux::config('dsro_server_id')?>/<?=$accountId?>">Oops your browser doesn't support voting :(</iframe>
<h3 class="dsro-fail">Try again in 12 hours</h3>
<h3 class="dsro-success">Success! Reward earned!</h3>
<h3 class="dsro-progress">Checking result...</h3>

<script>
window.addEventListener("message", receiveMessage, false);

function receiveMessage(event)
{
	document.querySelector('.dsro-progress').style.display = "block";
	document.querySelector('.dsro-iframe').style.display = "none";
	if(event.data.success) {
		var request = new XMLHttpRequest();
		request.open('GET', '<?=$this->url('dsro', 'callback')?>', true);

		request.onload = function() {
		  if (request.status >= 200 && request.status < 400) {
			var resp = JSON.parse(request.responseText);
			
			document.querySelector('.dsro-progress').style.display = "none";
			if(resp.success) {
				document.querySelector('.dsro-success').style.display = "block";
			} else {
				document.querySelector('.dsro-fail').style.display = "block";
			}
		  }
		};

		request.onerror = function() {
			document.querySelector('.dsro-fail').style.display = "block";
			document.querySelector('.dsro-progress').style.display = "none";
		};

		request.send();
	} else {
		document.querySelector('.dsro-fail').style.display = "block";
	}
}
</script>

<style>
.dsro-iframe {
	width: 500px;
	height: 500px;
	border: 0px;
}

.dsro-fail, .dsro-success, .dsro-progress {
	display: none;
}
</style>